/*
 * Copyright (c) 2023 Afrel Co., Ltd. 
 * All rights reserved
 */
// (C)2025 Takuya Matsubara.
#include <stdlib.h>
#include <kernel.h>

#include <spike/hub/system.h>

#include <hello.h>

#include "spike/pup/motor.h"
#include "spike/pup/colorsensor.h"
#include "spike/pup/forcesensor.h"
#include "spike/pup/ultrasonicsensor.h"

#include "spike/hub/battery.h"
#include "spike/hub/button.h"
#include "spike/hub/display.h"
#include "spike/hub/imu.h"
#include "spike/hub/light.h"
#include "spike/hub/speaker.h"

#include <pbio/color.h>

pup_motor_t *motorA;             //モータAを使う変数
pup_motor_t *motorB;             //モータBを使う変数
pup_device_t *ColorSensor;       //カラーセンサーを使う変数
pup_device_t *ForceSensor;       //フォースセンサーを使う変数
pup_device_t *UltraSonicSensor;  //距離センサーを使う変数

void Main(intptr_t exinf)
{
  hub_button_t button;
  const char msg[] = "hello world";
  ER ercd;
  ercd = serial_opn_por(SIO_USART_F_PORTID);

  while (1){
    dly_tsk(10000);      // 0.01秒待ちます
    hub_button_is_pressed(&button);  // ボタンを検出
    if(button & HUB_BUTTON_RIGHT){   // 右ボタンが押されたら、
      hub_display_text(msg, 200, 200); // メッセージ表示
      // ポートFから送信
      ercd = serial_wri_dat(SIO_USART_F_PORTID, msg, sizeof(msg));

      dly_tsk(1000000);       // 1秒待ちます
    }
  }

  //プログラムを終了します
  exit(0);
}
